%define major		1.1_24

%define name		fox
%define version		1.1.24
%define release		1mdk

%define libname		%mklibname %{name} %{major}

%define name_ex_apps	%{name}-example-apps

%define icon_name_calc	%{name}-calculator.png
%define icon_name_adie	%{name}-adie.png

Summary:	The FOX C++ GUI Toolkit
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Development/C++
URL:		http://www.fox-toolkit.org
Source: 	%{name}-%{version}.tar.bz2
Source10:	%{name}_adie_16.png.bz2
Source11:	%{name}_adie_32.png.bz2
Source12:	%{name}_adie_48.png.bz2
Source20:	%{name}_calc_16.png.bz2
Source21:	%{name}_calc_32.png.bz2
Source22:	%{name}_calc_48.png.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libMesaGLU-devel
BuildRequires:  libcups-devel
BuildRequires:	XFree86-devel	
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libbzip2-devel

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{name_ex_apps}
Summary:	FOX example applications
Group:		Office
Requires:	%{libname} = %{version}-%{release}

%description -n %{name_ex_apps}
Editor, file browser and calculator, written with FOX

%package -n %{libname}
Summary:	The FOX C++ GUI Toolkit - Librairies
Group:		System/Libraries

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libname}-devel
Summary:	FOX header files
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	libfox-devel = %version-%release
Provides:	libfox1.1-devel = %version-%release
Requires:	libMesaGLU-devel
Requires:	libcups-devel
Requires:   	XFree86-devel
Requires:  libjpeg-devel
Requires:  libpng-devel
Requires:  libtiff-devel
Requires:  libbzip2-devel

%description -n %{libname}-devel
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --with-opengl=mesa --enable-cups

%make GL_LIBS="-lGL -lGLU"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

cp -p pathfinder/PathFinder $RPM_BUILD_ROOT/usr/bin

mkdir -p %{buildroot}%{_menudir}

cat << EOF > %{buildroot}%{_menudir}/%{name_ex_apps}
?package(%{name_ex_apps}):\
	needs="X11"\
	section="Applications/Sciences/Mathematics"\
	title="FOX Calculator"\
	longtitle="Calculator using the FOX toolkit"\
	command="%{_bindir}/calculator"\
	icon=%{icon_name_calc}
?package(%{name_ex_apps}):\
	needs="X11"\
	section="Applications/Editors"\
	title="FOX Adie"\
	longtitle="A.D.I.E. - Advanced Interactive Editor using the FOX toolkit"\
	command="%{_bindir}/adie"\
	icon=%{icon_name_adie}
EOF

mkdir -p %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
bzip2 -cd %{SOURCE10} > %{buildroot}%{_miconsdir}/%{icon_name_adie}
bzip2 -cd %{SOURCE11} > %{buildroot}%{_iconsdir}/%{icon_name_adie}
bzip2 -cd %{SOURCE12} > %{buildroot}%{_liconsdir}/%{icon_name_adie}

bzip2 -cd %{SOURCE20} > %{buildroot}%{_miconsdir}/%{icon_name_calc}
bzip2 -cd %{SOURCE21} > %{buildroot}%{_iconsdir}/%{icon_name_calc}
bzip2 -cd %{SOURCE22} > %{buildroot}%{_liconsdir}/%{icon_name_calc}

rm -rf %buildroot%_prefix/fox

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{name_ex_apps}
%{update_menus}

%postun -n %{name_ex_apps}
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name_ex_apps}
%defattr(-,root,root)
%doc %{_mandir}/man1/PathFinder*
%doc %{_mandir}/man1/adie*
%doc %{_mandir}/man1/calculator*
%{_bindir}/calculator
%{_bindir}/PathFinder
%{_bindir}/adie
%{_menudir}/%{name_ex_apps}
%{_miconsdir}/%{icon_name_adie}
%{_iconsdir}/%{icon_name_adie}
%{_liconsdir}/%{icon_name_adie}
%{_miconsdir}/%{icon_name_calc}
%{_iconsdir}/%{icon_name_calc}
%{_liconsdir}/%{icon_name_calc}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS LICENSE README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc ADDITIONS INSTALL TRACING
%doc %{_mandir}/man1/reswrap*
%{_bindir}/reswrap
%dir %{_includedir}/fox
%{_includedir}/fox/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Fri Mar 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.24-1mdk
- fix buildrequires and requires of the devel package 
- new version

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.22-4mdk
- mklibname macro

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.22-3mdk
- fix buildrequires

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.22-2mdk
- rebuild with new ssl 

* Wed Jan 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.22-1mdk
- 1.1.22

* Sat Dec  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.21-1mdk
- drop the patch
- new version

* Fri Nov 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.20-1mdk
- clean unpackaged files from buildroot
- patch from CVS to fix build 
- new version, new major

* Thu Oct 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.19-1mdk
- new version, new major

* Fri Oct 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.17-1mdk
- 1.1.17
- major 1.1_17

* Wed Oct  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.16-2mdk
- remove useless requires
- move devel docs to devel package

* Tue Oct  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.16-1mdk
- new version
- new major

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.15-1mdk
- 1.1.15

* Thu Aug 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.13-1mdk
- change the major version number
- new version

* Thu Aug 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.17-2mdk
- misc spec fixes
- fix major version
- drop the "requires fox" line preventing the installation of libfox

* Fri Jul 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.17-1mdk
- 1.0.17

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.14-1mdk
- 1.0.14

* Wed Jun 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.11-3mdk
- remove fox subpackage
- reswrap is moved to libfox-devel

* Tue Jun 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.11-2mdk
- libfox requires fox (reswrap needed)

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.11-1mdk
- 1.0.11

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10

* Wed Apr 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-1mdk
- 1.0.9

* Fri Apr 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-2mdk
- fox requires libfox

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Thu Mar 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Thu Jan 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.189-1mdk
- 0.99.189

* Thu Jan 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.188-1mdk
- 0.99.188

* Thu Dec 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.187-1mdk
- 0.99.187

* Mon Dec 17 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.185-1mdk
- 0.99.185
- BTW: 0.99.182-3mdk never made it to the mirrors

* Fri Dec 14 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.182-3mdk
- Plain rebuild, some packages were broken

* Fri Dec 14 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.182-2mdk
- Fix requires for libcups1

* Tue Dec 11 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.182-1mdk
- 0.99.182

* Wed Dec  4 2001 Alexander Skwar <ASkwar@DigitalProjects.com> 0.99.181-1mdk
- 0.99.181
- Moved the example-apps from the lib package to the main package, and make
  it obsolete the old %{libname}-%{name_ex_apps_suf} package
- Changed group of example-apps to Office (was: Development/C)
- Fixed URL
- Build with CUPS support
- Add example-apps to menu
- Don't package PathFinder - it's a libtool shell script trying to do
  something, however, I don't know how to fix it...

* Wed Nov 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.179-1mdk
- 0.99.179

* Fri Nov 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.177-1mdk
- 0.99.177

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.176-1mdk
- 0.99.176

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.175-2mdk
- rebuild against new libpng

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.175-1mdk
- 0.99.175

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.174-1mdk
- 0.99.174

* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.173-1mdk
- updated to 0.99.173

* Mon Mar 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.99.164-2mdk
- fix requires

* Mon Mar 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.99.164-1mdk
- updated to 0.99.164
- split

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.147-1mdk
- updated to 0.99.147-1mdk
- removing --enable-release fix build with gcc-2.96

* Fri Oct 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.132-1mdk
- used srpm from David Sugar <dyfet@ostel.com> :
	fix to assure -frtti is not disabled.
- add macros & bm
- added devel package

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.122-1
- new version

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.119-1
- new version

* Sun Mar 05 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b>
- some adaptations

* Tue Nov 10 1998 Ren van Paassen <M.M.vanPaassen@lr.tudelft.nl>
- initial package
